Loading...
Searching...
No Matches
ForwardMap< GR > Class Template Reference
Data Structures » Maps » Graph Maps

## Detailed Description

template<typename GR>
class lemon::ForwardMap< GR >

ForwardMap provides access for the "forward" directed arc view of each edge in a graph, which is returned by the `direct()` function of the graph with `true` parameter.

Template Parameters

  GR | The graph type.

See also
  BackwardMap

`#include <lemon/maps.h>`

## Public Types

typedef GR::Edge | Key
| The key type (the `Edge` type of the digraph).
typedef GR::Arc | Value
| The value type (the `Arc` type of the digraph).

## Public Member Functions

| ForwardMap (const GR &graph)
| Constructor.
Value | operator[] (const Key &key) const
| Returns the "forward" directed arc view of the given edge.

## Related Symbols

(Note that these are not member symbols.)
template<typename GR>
ForwardMap< GR > | forwardMap (const GR &graph)
| Returns a `ForwardMap` class.

## Constructor & Destructor Documentation

## ForwardMap()

template<typename GR>

ForwardMap | ( | const GR & | graph | ) |

inline explicit

Constructor.

Parameters

  graph | The graph that the map belongs to.

## Member Function Documentation

## operator[]()

template<typename GR>

Value operator[] | ( | const Key & | key | ) | const

inline

Returns the "forward" directed arc view of the given edge.